<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<!-- $Id: -->
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="bytes-by-dir" superservice="www" schema="www-url" charttype="bars">
 <lire:title>Bytes Per Directory WWW Report</lire:title>
 <lire:description>
  <para>This report shows the amount of data requested by directory.
   This amount only includes the size of request in that directory,
   not of any child directories.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="bytesdir_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of different directories
     to display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>
      Total size of requests served by directory, Top $bytesdir_to_show
  </lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-bytes_total" limit="$bytesdir_to_show">
   <lire:field name="directory"/>

   <lire:sum name="bytes_total" field="requested_page_size" label="Bytes"/>
   <lire:sum name="bytes_ratio" field="requested_page_size"
    ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
